#include <iostream>[]
using namespace std;

int main(int argc, char** argv) {
	
	int n;
	cin>>n;
	int a[n];
	
	int poz1=0;
	int poz2=0;
	
	int f=0;
	int k=0;
	
	int posuda = 0;	
	int max1 = 0;
	int max2= 0;
	
	for(int i=0;i<n;i++){
		
		
		
		cin>>a[i];
		
		if(a[i]>max1){
			
			max2 = max1;
			poz2 = poz1;
			max1=a[i];
			poz1 = i;	
		}
		if(a[i]>=max2 && a[i]<max1){
			
			max2=a[i];
			poz2 = i;	
		}
						
}
for(int i=1;i<n;i++){
	
	if(a[i-1]!=a[i]+1){
		
		k++;
		
	}
}

if(k==0){
	
	posuda = a[n];
	a[n]=a[n-1];
	a[n-1]=posuda;
	
}
else{

	if(n==2){
		
		posuda = a[0];
			a[0]=a[1];
			a[1]=posuda;
	}
	else{
		
		if(a[0] == max1){
			
			for(int i = 1;i<n;i++){
			
			if(f==0){
			
			if(a[i]<max2){
				
			posuda = a[i];
			a[i]=max2;
			a[poz2]=posuda;
			f++;
			}
			}
			}
		}
		else{
			posuda = a[0];
			a[0]=max1;
			a[poz1]=posuda;
		}
	}
}
	
	
	
		for(int i=0;i<n;i++){
	
	cout<<a[i]<<' ';
	
	}
	return 0;
}